const path = require('path');
const slueStream = require('slue-stream');
const UglifyJS = require("uglify-js");

module.exports = function(opts) {
    return slueStream.transformObj(function(file, env, cb) {
        let extname = path.extname(file.path);
        if (extname === '.js') {
            let contents = file.contents.toString();
            for (let env in opts) {
                let regular = new RegExp(`process\\\.env\\\.${env}[^z-zA-Z_0-9]`, 'g');
                contents = contents.replace(regular, function(item) {
                    let _regular = new RegExp(`process\\\.env\\\.${env}`, 'g');
                    item = item.replace(_regular, `\'${opts[env]}\'`);
                    return item;
                });
            }
            //let  min = UglifyJS.minify(contents);
            //file.contents = Buffer.from(min.code);
            file.contents = Buffer.from(contents);
            cb(null, file);
        } else {
            cb(null, file);
        }
    });
}